@import url("");
@import url('');

/* 
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Poppins, sans-serif;
    scroll-behavior: smooth;
}
*/

html{
    scroll-padding-top: 60px;
}

hr{
    height: 1em;
    color: #555;
}
a,p,h1,h2,h3,h4,h5,h6,body{
    font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace ;
}

/* header */

.logo{
    font-family: 'Noto Serif SC', serif !important;
}
header {
    position: fixed;   /* 絕對位置 */
    top: 0;
    left: 0;
    width: 100%;
    height: 25px;   
    padding: 30px 50px 30px;  /* 上 左右 下 */
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 150;

    position: fixed;
    top: 0;
    right: 0;
    left: 0;
}
header a {
    font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    text-decoration: none;

    font-size: 2rem;
    font-weight: 400;
    line-height: 1.5;

    color: rgba(255, 255, 255);
}
header a:hover{
    color:white;
}
.nav-link {
    color: rgba(255, 255, 255,0.6) ;
    padding: 0px;
}
.nav-link:focus, .nav-link:hover{
    color: white  ;
}


header ul {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 15px;
}

header ul li {
    list-style: none;
    margin-left: 20px;
}

header ul li a {
    font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    text-decoration: none;

    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;

    color: rgba(255, 255, 255, 0.6);
    border-radius: 5px;
}

header li a:hover, header a.active {
    color: rgb(255, 255, 255);
    transition: 0.3s;

}


/* 滑動固定選單 */
.navFixed{
    background-color: rgba(255, 255, 255, 0.7);
    position: fixed;
    box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 15%);
    transition: 0.3s ease-in-out;
}
.navFixed a{
    color: black;
    font-size: 1.5rem;
    transition: 0.3s ease-in-out;
    /*transition-property: height;*/
    transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
    transition-delay: 0s;
}
.navFixed .nav-link a{
    color: black !important;
}
.navFixed ul li a{
    font-size: 1rem;
}
.navFixed a:hover, a.active{
    color:rgb(0, 0, 0);
}
.navFixed ul li a {
    color: #333;
}
.navFixed ul li a:hover, .navFixed ul li.active a{
    color: rgb(247, 179, 53);  
}
.nav-link a:hover,head a.active{
    color: rgb(247, 179, 53) !important;
}
.navFixed .dropdown-item a:hover,.navFixed .dropdown.active a{
    color: black !important;
}


/* intro */
.carousel-item {
    /*height: 550px;*/
}
.container-fluid{
    padding:0;
    object-position: center;
}


/* section */
.content {
    text-align: center;
    position: relative;
    padding: 50px 100px;
    margin-top: 0px; 
}

/* About */
#about {
    background-color: rgb(247, 179, 53);
    padding: 8em 0;
}
#about p{
    color: rgb(255, 255, 255,0.9)
}
#about h2{
    color: #fff;
}
#about hr{
    background-color: #fff;
    height: 0.2rem;
    max-width: 3.25rem;
    margin: 1.5rem auto;
    opacity: 1;
}

.btn {
    color: #000;
    background-color: #f8f9fa;
    padding: 1.25rem 2.25rem;
    font-size: 0.85rem;
    font-weight: 700;
    text-transform: uppercase;
    border: none;
    border-radius: 10rem;
}

/* Portfolio */
#portfolio{
    background-color: #faf9f8 ;
}
#portfolio h5{
    color:rgba(255, 200, 0);
}
#portfolio .row{
    padding: 0px;
}
   
#portfolio .portfolio-item {
  max-width: 26rem;
  margin-left: auto;
  margin-right: auto;
}
#portfolio .portfolio-item .portfolio-link {
  position: relative;
  display: block;
  margin: 0 auto;
}
#portfolio .portfolio-item .portfolio-link .portfolio-hover {
  display: flex;
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(255, 200, 0, 0.8);
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity ease-in-out 0.25s;
}
#portfolio .portfolio-item .portfolio-link .portfolio-hover .portfolio-hover-content {
  font-size: 1.25rem;
  color: white;
}
#portfolio .portfolio-item .portfolio-link:hover .portfolio-hover {
  opacity: 1;
}
#portfolio .portfolio-item .portfolio-caption {
  padding: 1.5rem;
  text-align: center;
  background-color: #fff;
}
#portfolio .portfolio-item .portfolio-caption .portfolio-caption-heading {
  font-size: 1.5rem;
  /*font-family: "Montserrat", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  */
  font-weight: 700;
  margin-bottom: 0;
}
#portfolio .portfolio-item .portfolio-caption .portfolio-caption-subheading {
  font-style: italic;
  /*font-family: "Roboto Slab", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    */
}

.portfolio-modal .modal-dialog {
  margin: 1rem;
  max-width: 100vw;
}
.portfolio-modal .modal-content {
  padding-top: 6rem;
  padding-bottom: 6rem;
  text-align: center;
}
.portfolio-modal .modal-content h2, .portfolio-modal .modal-content .h2 {
  font-size: 3rem;
  line-height: 3rem;
}
.portfolio-modal .modal-content p.item-intro {
  font-style: italic;
  margin-bottom: 2rem;
  /*font-family: "Roboto Slab", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    */
}
.portfolio-modal .modal-content p {
  margin-bottom: 2rem;
  font-family: "Roboto Slab", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
}
.portfolio-modal .modal-content ul.list-inline {
  margin-bottom: 2rem;
}
.portfolio-modal .modal-content img {
  margin-bottom: 2rem;
}
.portfolio-modal .close-modal {
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
  width: 3rem;
  height: 3rem;
  cursor: pointer;
  background-color: transparent;
}
.portfolio-modal .close-modal:hover {
  opacity: 0.3;
}

.topic{
    padding: 10px 0px;
}

/* box */
#box{
    display: flex;
    position: relative;
}
.row hr{
    background-color:rgba(255, 200, 0);
    height: 0.2rem;
    max-width: 3.25rem;
    margin: 1.5rem left;
    opacity: 1;
}
.article{
    padding:20px 0px;
    text-align: left;
    vertical-align: center;
    overflow: auto;
}
.article p{
    font-size: 16px;
}

.article h5{
    padding: 10px 0px;
}

.picture img{
    display: flex;
    width: 100%;
    height: auto;
    float: left;
}

/*team*/
#team{
    background-color: #f5f5f5;
}
/* media */
.media1 a{
        color: rgb(255, 200, 0);
        text-decoration: none;   
}
.media2 a{
    color: rgb(255, 200, 0);
    text-decoration: none;   
}
#team p{
    line-height: 200%;
}
.media1{
    display: flex;
    position: relative;
    padding: 70px 0px;
    text-align: right;
    flex-direction: row-reverse;
}
.media2{
    display: flex;
    position: relative;
    padding: 70px 0px;
    text-align: left;
}
.media1 .media-body{
    padding:0px 20px 0px 0px ;
}

#team img{
    width: 100px;
    height: 100px;
    margin-right: 20px;
    border-radius: 100%;
    /* border-style: solid;
    border-color: grey; */
}
#team h6{
    color:#b9b9b9;
}
#team a:hover{
    color: rgb(109, 155, 255);
}

/* footer */
.copyright{
    font-size: 0.875em;
    color: #6c757d !important;
    text-align: center ;
    font-family: "Merriweather",sans-serif;
    background-color: #f8f9fa;
    padding-top: 3rem !important;
    padding-bottom: 3rem !important;
}



/* Screen SIZE */
/* 小螢幕 */
@media screen and (max-width: 768px){
    header{
        height: 10px;
        padding: 20px 30px;
        z-index: 150;
    }
    .content {
        position: relative;
        padding: 50px 20px;
        margin-top: 0px;
        }  
    header a {
        font-size: 0.5rem;
        font-weight: 100;
    }
    header ul li a {
        font-size: 0.5em;
    }
    .navFixed{
        background-color: rgba(255, 255, 255, 0.7);
        position: fixed;
        box-shadow: 1px 2px 3px #dfdfdfd8;
        transition: 0.3s ease-in-out;
    }
    .navFixed a{
        font-size: 0.5rem;
    }
    .navFixed ul li a{
        font-size: 0.5rem;
    }
    #team p{
        display: none;
    }
    .media{
        padding: 30px 50px;
        align-items: center;
    }
    .portfolio-caption{
        display: none;
    }
    #box2 .row {
        flex-direction: column-reverse;
    }

}
    
    /* 中螢幕 */
    @media screen and (min-width: 769px) and (max-width: 1023px) {
    .content{
        padding: 60px 100px;
    }
    #box1 .content{
        padding:40px 100px;
    }
    .media{
        padding: 10px 30px;
        display: block;
    }
    .media-body{
        padding: 10px 0px;
    }


}
    /* 大螢幕 */
    @media screen and (min-width: 1024px) {
    
    }






